View Issue Details

IDProjectCategoryView StatusLast Update
00301532.x IDE BugsGame OptionsPublic2019-01-31 14:19
ReporterAlexander BorupAssigned ToSteven Campbell 
PriorityMediumSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Product Version2.2.1 
Target Version2.2.2Fixed in Version2.2.2 
Summary0030153: Game Options: Saves out an odd choice of placeholder icon if user doesn't specify their own
DescriptionIf the user doesn't specify an icon for a game option that asks for one, and the JSON did not contain an icon (empty or null string), then the placeholder icon_IDE_save.png image is saved out as being the option's icon.

Expected: It should not save out the placeholder icon, and if there is no icon given by the user then a default should be provided.
Steps To Reproduce1. Option "options_html5.yy" file in any project, while it is not open.
2. Set "option_html5_icon" equal to "" (empty string) or remove it entirely
3. Load the project
4. Open HTML5 game options, make a change and click OK
5. See that "options_html5.yy" now contains icon_IDE_save.png as the icon to use

If step 4 didn't work, then do this specifically:
- Click on the Images subpage of HTML5 game options
- Toggle "Use splash screen"
- Press OK and resume from step 5
TagsNo tags attached.
2.x IDE Found In
2.x Runtime Found In
2.x IDE Verified In2.2.2.390
2.x Runtime Verified In2.2.2.302

Activities

Steven Campbell

2018-11-22 10:26

Manager   ~0062113

Fixed in Red IDE/GitHub Pull Request 4364
Git Id: 03f40bb0471d16cd1e179fe14e039c6d23c68dfc

Dan

2019-01-28 17:28

Adminstrator   ~0062535

Note that if your project is already in a state that this icon has been saved out (e.g., Android's adaptive icon values can also reproduce this), then any build failure will still occur. You will need to fix these values in the project.

Dan

2019-01-31 14:19

Adminstrator   ~0062610

Closing. The empty string now gets reset to "${base_options_dir}\\html5\\fav.ico", seemingly on load of the project, as the icon was already showing as GMS2's one when I opened Game Options > HTML5.